Package Details: sensible-editor 0.0.21-1

Git Clone URL: https://aur.archlinux.org/sensible-utils.git (read-only, click to copy)
Package Base: sensible-utils
Description: Utilities for sensible alternative selection
Upstream URL: http://packages.debian.org/source/sid/sensible-utils
Licenses: GPL
Submitter: pcarrier
Maintainer: fbrennan
Last Packager: fbrennan
Votes: 27
Popularity: 0.000593
First Submitted: 2012-04-05 14:14 (UTC)
Last Updated: 2023-11-07 22:02 (UTC)

Pinned Comments

fbrennan commented on 2023-06-21 03:52 (UTC)

As of pkgrel 4 we no longer need to use my key. Please get Bastien's key from hkps://keyring.debian.org/ (https://keyring.debian.org/) ONLY, as ones on other keyservers are expired.

Latest Comments

1 2 3 4 5 6 Next › Last »

damentz commented on 2023-11-07 22:28 (UTC)

Reminder, http://ftp.debian.org still does not work and needs to be replaced with working mirror, such as http://deb.debian.org.

damentz commented on 2023-07-06 22:41 (UTC)

Is anyone else getting this same error?

==> Retrieving sources...
  -> Downloading sensible-utils_0.0.20_.tar.xz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (7) Failed to connect to ftp.debian.org port 80 after 58 ms: Couldn't connect to server
==> ERROR: Failure while downloading http://ftp.debian.org/debian/pool/main/s/sensible-utils/sensible-utils_0.0.20.tar.xz
    Aborting...

Seems we should switch to the proper CDN, https://deb.debian.org, that even their docker image uses. Below is a full patch updating CDN and bumping package release (works for me):

diff --git a/.SRCINFO b/.SRCINFO
index 3994ed2..9734088 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = sensible-utils
    pkgdesc = Utilities for sensible alternative selection
    pkgver = 0.0.20
-   pkgrel = 6
+   pkgrel = 7
    url = http://packages.debian.org/source/sid/sensible-utils
    arch = any
    license = GPL
@@ -10,8 +10,8 @@ pkgbase = sensible-utils
    makedepends = findutils
    depends = bash
    depends = coreutils
-   source = sensible-utils_0.0.20_.tar.xz::http://ftp.debian.org/debian/pool/main/s/sensible-utils/sensible-utils_0.0.20.tar.xz
-   source = sensible-utils_0.0.20_.dsc::http://ftp.debian.org/debian/pool/main/s/sensible-utils/sensible-utils_0.0.20.dsc
+   source = sensible-utils_0.0.20_.tar.xz::https://deb.debian.org/debian/pool/main/s/sensible-utils/sensible-utils_0.0.20.tar.xz
+   source = sensible-utils_0.0.20_.dsc::https://deb.debian.org/debian/pool/main/s/sensible-utils/sensible-utils_0.0.20.dsc
    source = 0001-no-fork-bomb-test.patch
    source = sensible-utils.install
    source = sensible-envvars
diff --git a/PKGBUILD b/PKGBUILD
index 11cb59a..8c1418c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,7 +9,7 @@ pkgname=(sensible-utils sensible-browser sensible-editor sensible-pager sensible
_pkgname=(sensible-browser sensible-editor sensible-pager sensible-terminal sensible-utils-data)
pkgver=0.0.20
_debianextra='' # Do not remove even if empty as sometimes Debian puts e.g. +1, their version of a pkgrel.
-pkgrel=6
+pkgrel=7
pkgdesc="Utilities for sensible alternative selection"
arch=('any')
url="http://packages.debian.org/source/sid/sensible-utils"
@@ -20,8 +20,8 @@ makedepends=('po4a'
    'findutils')
checkdepends=('ed')
_dirname=${pkgbase}_${pkgver}_$pkgrel_${_debianextra}
-source=("$_dirname.tar.xz::http://ftp.debian.org/debian/pool/main/s/$pkgbase/${pkgbase}_${pkgver}${_debianextra}.tar.xz"
-        "$_dirname.dsc::http://ftp.debian.org/debian/pool/main/s/$pkgbase/${pkgbase}_${pkgver}${_debianextra}.dsc"
+source=("$_dirname.tar.xz::https://deb.debian.org/debian/pool/main/s/$pkgbase/${pkgbase}_${pkgver}${_debianextra}.tar.xz"
+        "$_dirname.dsc::https://deb.debian.org/debian/pool/main/s/$pkgbase/${pkgbase}_${pkgver}${_debianextra}.dsc"
    0001-no-fork-bomb-test.patch
    sensible-utils.install
    sensible-envvars)

fbrennan commented on 2023-07-04 17:13 (UTC)

Until worked out upstream I've removed fork-bomb test.

aggraef commented on 2023-06-30 21:14 (UTC)

Well, it looks like the upstream maintainer rejected your merge request, so can this check please be disabled in the PKGBUILD? It's a real nuisance!

fbrennan commented on 2023-06-26 22:06 (UTC) (edited on 2023-06-26 22:08 (UTC) by fbrennan)

I asked the maintainer to consider making /bin/dash explicit: https://salsa.debian.org/debian/sensible-utils/-/merge_requests/7

Outside Debian, the fork-bomb test may fail if /bin/sh/bin/dash, because sensible-editor will run under another shell. On Arch, that shell is /bin/bash.

This makes /bin/dash explicit.

Also eagle-eyed users may have noticed the test results report a version of 0.0.15. This wasn't right, my merge request !8 was merged to fix that.

xiota commented on 2023-06-26 20:25 (UTC) (edited on 2023-06-26 20:25 (UTC) by xiota)

For those who use this to work with deb packages, consider using distro-specific packages directly with distrobox, rather than try to build and install broken or out-of-date AUR packages.

For those who still want to use this package, use --nocheck to bypass broken checks.

fbrennan commented on 2023-06-26 02:25 (UTC)

The fork bomb test is annoying and if users agree I'm happy to restore my old patch which did just that, removed it.

eclairevoyant commented on 2023-06-25 19:39 (UTC)

@damentz read man makepkg

damentz commented on 2023-06-25 06:00 (UTC)

Maybe the fork bomb test is invalid? Until it's resolved, simply commenting out the make check line works for now. Would be nice to be able to pick tests or just patch it out instead of making Arch Linux behave like Debian through a workaround.

npreining commented on 2023-06-25 01:17 (UTC)

Package revision -5 still fails to build due an error in the fork-bomb test. Is there any special setting that needs to be taken to prevent this to happen?